This patch masks the function prototypes in stdlib.h from ROMCC, so that
ARRAY_SIZE() can be used on ROMCC-dependent systems. Also adds stdlib.h to
vt8237r_early_smbus, so it'll build on those systems.

Signed-off-by: Corey Osgood <corey.osgood@gmail.com>

Index: src/southbridge/via/vt8237r/vt8237r_early_smbus.c
===================================================================
--- src/southbridge/via/vt8237r/vt8237r_early_smbus.c	(revision 2947)
+++ src/southbridge/via/vt8237r/vt8237r_early_smbus.c	(working copy)
@@ -21,6 +21,7 @@
 
 #include <device/pci_ids.h>
 #include <spd.h>
+#include <stdlib.h>
 #include "vt8237r.h"
 
 /**
Index: src/include/stdlib.h
===================================================================
--- src/include/stdlib.h	(revision 2947)
+++ src/include/stdlib.h	(working copy)
@@ -5,6 +5,7 @@
 
 #define ARRAY_SIZE(a) (sizeof(a) / sizeof((a)[0]))
 
+#ifndef __ROMCC__
 extern void *malloc(size_t size);
 void free(void *ptr);
 
@@ -13,4 +14,5 @@
 void malloc_mark(malloc_mark_t *place);
 void malloc_release(malloc_mark_t *place);
 
+#endif /* __ROMCC__ */
 #endif /* STDLIB_H */
